diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/catalog.ui.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/catalog.ui.js
index c31422185..e5afea0c2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/catalog.ui.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/catalog.ui.js
@@ -9,7 +9,6 @@
 
 import gettext from 'sources/gettext';
 import BaseUISchema from 'sources/SchemaView/base_schema.ui';
-import SecLabelSchema from '../../../../static/js/sec_label.ui';
 
 export default class CatalogSchema extends BaseUISchema {
   constructor(fieldOptions = {}, initValues) {
@@ -51,14 +50,7 @@ export default class CatalogSchema extends BaseUISchema {
       },{
         id: 'description', label: gettext('Comment'), cell: 'string',
         type: 'multiline',
-      },{
-        id: 'seclabels', label: gettext('Security labels'),
-        schema: new SecLabelSchema(),
-        editable: false, type: 'collection',
-        group: gettext('Security'), mode: ['edit', 'create'],
-        min_version: 90200,
-        canAdd: false, canEdit: false, canDelete: false,
-      },
+      }
     ];
   }
 }
diff --git a/web/pgadmin/browser/static/js/node_view.jsx b/web/pgadmin/browser/static/js/node_view.jsx
index cab909d1f..1aa8dc42b 100644
--- a/web/pgadmin/browser/static/js/node_view.jsx
+++ b/web/pgadmin/browser/static/js/node_view.jsx
@@ -173,7 +173,8 @@ export function getNodeView(nodeType, treeNodeInfo, actionType, itemNodeData, fo
 
   let schema = nodeObj.getSchema.call(nodeObj, treeNodeInfo, itemNodeData);
   // Show/Hide security group for nodes under the catalog
-  if('catalog' in treeNodeInfo) {
+  if('catalog' in treeNodeInfo
+    && formType !== 'tab') {
     schema.filterGroups = [gettext('Security')];
   }
 
